# IShMinimalParameterComponent Struct Reference
[COM Interfaces]

Inheritance diagram for IShMinimalParameterComponent:

List of all members.

## Public Member Functions
virtual IDType MCCOMAPI | GetFamilySignature () const =0
virtual IDType MCCOMAPI | GetClassSignature () const =0
virtual MCCOMErr MCCOMAPI | GetClassName (TMCString &name) const =0
virtual MCCOMErr MCCOMAPI | GetParameter (IDType keyword, void *parameter)=0
virtual MCCOMErr MCCOMAPI | SetParameter (IDType keyword, void *parameter, boolean inNotify=true)=0
virtual MCCOMErr MCCOMAPI | GetParameterType (IDType keyword, IDType &parameterType)=0
virtual uint32 MCCOMAPI | GetParameterCount ()=0
virtual MCCOMErr MCCOMAPI | GetParameterInfo (uint32 index, TPMapElement &info)=0
virtual void MCCOMAPI | Inval (boolean inNotifyExternal=true, boolean inNotifyUI=false)=0

## Detailed Description

Minimal parameter component. Holds parameters, doesn't have an interface.

See also:
  IShParameterComponent

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShMinimalParameterComponent::GetClassName | ( | TMCString & | name | ) | const`[pure virtual]`

virtual IDType MCCOMAPI IShMinimalParameterComponent::GetClassSignature | ( |  | ) | const`[pure virtual]`

virtual IDType MCCOMAPI IShMinimalParameterComponent::GetFamilySignature | ( |  | ) | const`[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMinimalParameterComponent::GetParameter | ( | IDType | keyword,
|  | void * | parameter |
| ) |  |  | `[pure virtual]`

virtual uint32 MCCOMAPI IShMinimalParameterComponent::GetParameterCount | ( |  | ) | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMinimalParameterComponent::GetParameterInfo | ( | uint32 | index,
|  | TPMapElement & | info |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMinimalParameterComponent::GetParameterType | ( | IDType | keyword,
|  | IDType & | parameterType |
| ) |  |  | `[pure virtual]`

virtual void MCCOMAPI IShMinimalParameterComponent::Inval | ( | boolean | inNotifyExternal = `true`,
|  | boolean | inNotifyUI = `false` |
| ) |  |  | `[pure virtual]`

virtual MCCOMErr MCCOMAPI IShMinimalParameterComponent::SetParameter | ( | IDType | keyword,
|  | void * | parameter,
|  | boolean | inNotify = `true` |
| ) |  |  | `[pure virtual]`

The documentation for this struct was generated from the following file:

- IShComponent.h